Bug 257769 - [exp-run]: x11-toolkits/gtk40: Update to 4.3.2
Summary: [exp-run]: x11-toolkits/gtk40: Update to 4.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Neel Chauhan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-11 14:02 UTC by Neel Chauhan
Modified: 2021-08-24 15:50 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments
Patch (Revision 1) (1.65 KB, patch)
2021-08-11 14:02 UTC, Neel Chauhan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan freebsd_committer 2021-08-11 14:02:56 UTC
Created attachment 227113 [details]
Patch (Revision 1)
Comment 1 Antoine Brodin freebsd_committer 2021-08-18 19:34:12 UTC
Exp-run looks fine
Comment 2 commit-hook freebsd_committer 2021-08-18 19:45:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=77402a3e150626339890a08c21330c9f3761db5a

commit 77402a3e150626339890a08c21330c9f3761db5a
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-08-18 19:44:38 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-08-18 19:44:38 +0000

    x11-toolkits/gtk40: Update to 4.3.2

    PR:     257769

 x11-toolkits/gtk40/Makefile  | 3 +--
 x11-toolkits/gtk40/distinfo  | 6 +++---
 x11-toolkits/gtk40/pkg-plist | 3 ++-
 3 files changed, 6 insertions(+), 6 deletions(-)
Comment 3 Neel Chauhan freebsd_committer 2021-08-18 19:45:46 UTC
Thanks! Committed!
Comment 4 John Hein 2021-08-20 11:19:21 UTC
This fails if the CLOUDPRINT option is on:

pkg-static: Unable to access file /usr/ports/x11-toolkits/gtk40/work/stage/usr/local/lib/gtk-4.0/4.0.0/printbackends/libprintbackend-cloudprint.so:No such file or directory
*** Error code 1

Also there is this warning from 'make configure'

WARNING: Unknown options: "cloudprint, cups"
Comment 5 John Hein 2021-08-21 16:25:40 UTC
(In reply to John Hein from comment #4)
See bug 257986
Comment 6 Jan Beich freebsd_committer 2021-08-24 15:40:14 UTC
This port has PORTSCOUT=limit:1,even, so odd minor versions like 4.3.* are usually skipped. See also https://blog.gtk.org/2016/09/01/versioning-and-long-term-stability-promise-in-gtk/

After ports a75551fe81d4 we're back to even minor version.
Comment 7 Jan Beich freebsd_committer 2021-08-24 15:50:13 UTC
Regarding odd vs. even it's also worth to look at how other distros update.

https://github.com/archlinux/svntogit-packages/commit/600a7189ec29
https://repology.org/project/gtk/history